## asus-screen-toggle 1.0.0

=== Makefile ===
# Makefile pro asus-screen-toggle

PREFIX ?= /usr
SYSCONFDIR ?= /etc
SYSTEMDUSERUNITDIR ?= $(PREFIX)/lib/systemd/user
SYSTEMDSYSTEMUNITDIR ?= $(PREFIX)/lib/systemd/system
UDEVRULESDIR ?= $(PREFIX)/lib/udev/rules.d

# Složky
SRC_DIR = asus-screen-toggle
PO_DIR = po
LOCALE_DIR = $(PREFIX)/share/locale

all: compile-locales

compile-locales:
	# Kompilace .po souborů do .mo
	for po in $(PO_DIR)/*.po; do \
		lang=$$(basename $$po .po); \
		mkdir -p build/locale/$$lang/LC_MESSAGES; \
		msgfmt $$po -o build/locale/$$lang/LC_MESSAGES/asus-screen-toggle.mo; \
	done

install:
	# 1. Instalace binárek (Python + Bash)
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 asus-screen-toggle/usr/bin/asus-user-agent.py $(DESTDIR)$(PREFIX)/bin/asus-user-agent
	install -m 755 asus-screen-toggle/usr/bin/asus-screen-settings.py $(DESTDIR)$(PREFIX)/bin/asus-screen-settings
	install -m 755 asus-screen-toggle/usr/bin/asus-check-keyboard-user.sh $(DESTDIR)$(PREFIX)/bin/asus-check-keyboard-user
	install -m 755 asus-screen-toggle/usr/bin/asus-check-keyboard-system.sh $(DESTDIR)$(PREFIX)/bin/asus-check-keyboard-system
	install -m 755 asus-screen-toggle/usr/bin/asus-check-keyboard-genrules.sh $(DESTDIR)$(PREFIX)/bin/asus-check-keyboard-genrules
	install -m 755 asus-screen-toggle/usr/bin/asus-screen-toggle-launcher.sh $(DESTDIR)$(PREFIX)/bin/asus-screen-toggle-launcher
	install -m 755 asus-screen-toggle/usr/bin/asus-check-rotation.sh $(DESTDIR)$(PREFIX)/bin/asus-check-rotation

	# 2. Instalace sdílených dat (Ikony, Template)
	install -d $(DESTDIR)$(PREFIX)/share/asus-screen-toggle
	install -m 644 asus-screen-toggle/usr/share/99-asus-keyboard.rules.template $(DESTDIR)$(PREFIX)/share/asus-screen-toggle/
	install -m 644 $(SRC_DIR)/usr/share/asus-screen-toggle/*.svg $(DESTDIR)$(PREFIX)/share/asus-screen-toggle/

	# 3. Instalace Desktop souborů
	install -d $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 $(SRC_DIR)/usr/share/applications/*.desktop $(DESTDIR)$(PREFIX)/share/applications/

	# 4. Instalace Systemd služeb
	install -d $(DESTDIR)$(SYSTEMDUSERUNITDIR)
	install -m 644 $(SRC_DIR)/usr/lib/systemd/user/*.service $(DESTDIR)$(SYSTEMDUSERUNITDIR)/

	install -d $(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)
	install -m 644 $(SRC_DIR)/usr/lib/systemd/system/*.service $(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)/

	install -d $(DESTDIR)$(PREFIX)/lib/systemd/system-sleep
	install -m 755 $(SRC_DIR)/usr/lib/systemd/system-sleep/* $(DESTDIR)$(PREFIX)/lib/systemd/system-sleep/

	# 5. Instalace lokalizací (zkompilovaných)
	for lang in $$(ls build/locale); do \
		install -d $(DESTDIR)$(LOCALE_DIR)/$$lang/LC_MESSAGES; \
		install -m 644 build/locale/$$lang/LC_MESSAGES/asus-screen-toggle.mo \
			$(DESTDIR)$(LOCALE_DIR)/$$lang/LC_MESSAGES/; \
	done

	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 asus-screen-toggle/usr/share/man/man1/*.1 $(DESTDIR)$(PREFIX)/share/man/man1/

clean:
	rm -rf build

=== debian/changelog ===
asus-screen-toggle (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1124010)
  * [NEW] Kompletní přepis User Agenta do Pythonu (Gtk + AppIndicator).
  * [NEW] Interaktivní menu v systray s možností manuálního přepínání režimů:
      - Automaticky (podle senzorů)
      - Vynuceno: Jen hlavní displej
      - Vynuceno: Oba displeje (Desktop)
  * [NEW] Perzistence nastavení: Agent si pamatuje zvolený režim i po restartu.
  * [NEW] Moderní SVG ikony indikující aktuální stav v liště.
  * [ARCH] Přechod z XDG Autostart na Systemd User Unit
      - (asus-user-agent.service).
  * [ARCH] Implementace D-Bus rozhraní (org.asus.ScreenToggle) pro komunikaci.
  * [FIX] Self-healing launcher: Automatická oprava služby při spuštění z menu.
  * [FIX] Vylepšená detekce grafického sezení (graphical-session.target).

 -- Antonin Micka <antonin.micka@gmail.com>  Mon, 22 Dec 2025 12:00:00 +0100

asus-screen-toggle (0.1.0-1) unstable; urgency=low

  * [ Antonin ]
  * add user agent

 -- Antonin <antonin.micka@debian.org>  Sun, 01 Jun 2025 10:15:00 +0200

asus-screen-toggle (0.0.6-1) unstable; urgency=low

  * [ Antonin ]
  * wakeup fix
  * service fix
  * devrules fix
  * add dependencies

 -- Antonin <antonin.micka@debian.org>  Sun, 01 Jun 2025 10:15:00 +0200

asus-screen-toggle (0.0.5-1) unstable; urgency=low

  * [ Antonin ]
  * some issue

 -- Antonin <antonin.micka@debian.org>  Sun, 01 Jun 2025 10:15:00 +0200

asus-screen-toggle (0.0.4-1) unstable; urgency=low

  * [ Antonin ]
  * some issue

 -- Antonin <antonin.micka@debian.org>  Sun, 01 Jun 2025 10:15:00 +0200

asus-screen-toggle (0.0.3-1) unstable; urgency=low

  * [ Antonin ]
  * some issue

 -- Antonin <antonin.micka@debian.org>  Sun, 01 Jun 2025 10:15:00 +0200

asus-screen-toggle (0.0.2-1) unstable; urgency=low

  * [ Antonin ]
  * some issue

 -- Antonin <antonin.micka@debian.org>  Sun, 01 Jun 2025 10:00:00 +0200

asus-screen-toggle (0.0.1-1) unstable; urgency=low

  * [ Antonin ]
  * first version, package template
  * fixed device in script

 -- Antonin <antonin.micka@debian.org>  Sun, 01 Jun 2025 08:00:00 +0200

=== debian/control ===
Source: asus-screen-toggle
Section: utils
Priority: optional
Maintainer: Antonin Micka <antonin.micka@gmail.com>
Build-Depends: debhelper-compat (= 13),
               gettext,
               gettext-base,
               po-debconf,
               python3,
               dh-python
Standards-Version: 4.7.2
Homepage: https://github.com/antoninmicka/asus-screen-toggle

Package: asus-screen-toggle
Architecture: all
Pre-Depends: debconf,
             gettext-base,
             usbutils,
             udev,
             systemd,
             ucf,
             console-setup
Depends: ${misc:Depends},
         python3,
         python3-gi,
         python3-pydbus,
         gir1.2-gtk-3.0,
         gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
         inotify-tools,
         iio-sensor-proxy,
         dbus
Recommends: x11-xserver-utils,
            kscreen-doctor,
            wlr-randr,
            libkscreen-bin,
            gnome-shell-extension-appindicator
Description: Utility for managing Asus Zenbook Duo dual-screen modes
 This utility allows users to toggle the secondary screen on Asus Zenbook Duo
 laptops, primarily to save battery when the external keyboard is detached.
 .
 Features:
  * Auto-detection of keyboard/charger connection
  * GUI Settings application
  * Tray icon / AppIndicator
  * Systemd integration for sleep/resume

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_clean:
	dh_clean -X.git

=== debian/watch ===
version=4.5
opts="repacksuffix=+ds, dirmangle=s/\.orig\//-orig\//, filenamemangle=s/v?(\d[\d\.]*)\.tar\.gz/asus-screen-toggle-$1.tar.gz/" \
https://github.com/antoninmicka/asus-screen-toggle/tags \
(?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## asus-screen-toggle 1.2.2

=== debian/changelog ===
asus-screen-toggle (1.2.2-2) unstable; urgency=medium

  * Release 1.2.2-2
  * utilities
  * fix deb build
 -- Antonin Micka <antonin.micka@gmail.com>  Sun, 25 Jan 2026 00:47:06 +0100

asus-screen-toggle (1.2.2-1) unstable; urgency=medium

  * dev utils

 -- Antonin Micka <antonin.micka@gmail.com>  Sat, 17 Jan 2026 19:55:10 +0100

asus-screen-toggle (1.2.1-1) unstable; urgency=medium

  * Refactor system dispatcher build-time composition
  * Fix CI Debian source build
  * No functional changes

 -- Antonin Micka <antonin.micka@gmail.com>  Sat, 17 Jan 2026 18:54:02 +0100

asus-screen-toggle (1.1.1-1) unstable; urgency=medium

  * quick fix

 -- Antonin Micka <antonin.micka@gmail.com>  Fri, 09 Jan 2026 19:25:58 +0100

asus-screen-toggle (1.1.0-1) unstable; urgency=medium

  * [NEW] pure systemd flow

 -- Antonin Micka <antonin.micka@gmail.com>  Fri, 09 Jan 2026 18:54:43 +0100

## asus-screen-toggle 1.3

=== Makefile ===
# =========================
# asus-screen-toggle Makefile
# =========================

# -------------------------
# Paths
# -------------------------
SRC_DIR := src
# Adresář 'usr' v kořenu projektu slouží jako zdroj statických souborů
USR_DIR := usr
# Adresář pro dočasný build vygenerovaných souborů
BUILD_DIR := build_out

# Zdrojové cesty (v rámci src/)
SRC_BIN          := $(SRC_DIR)/bin
SRC_CHANNELS     := $(SRC_BIN)/channels
SRC_USER_SYSTEMD := $(SRC_DIR)/lib/systemd/user

# Build cesty (v rámci build_out/)
B_BIN  := $(BUILD_DIR)/bin
B_SYST := $(BUILD_DIR)/lib/systemd/system
B_USER := $(BUILD_DIR)/lib/systemd/user

# Instalace
DESTDIR ?=
PREFIX  ?= /usr

# -------------------------
# Build config
# -------------------------
-include build.conf

CHANNELS ?= systemd dbus signal direct
INSTALL_USER_SERVICE ?= yes

# -------------------------
# Default target
# -------------------------
.PHONY: all
all: prepare system-dispatcher user-services

# -------------------------
# Prepare directories
# -------------------------
.PHONY: prepare
prepare:
	mkdir -p $(B_BIN)
	mkdir -p $(B_SYST)
	mkdir -p $(B_USER)

# -------------------------
# System dispatcher (build-time)
# -------------------------
.PHONY: system-dispatcher
system-dispatcher:
	@echo "Building system dispatcher"
	cp $(CURDIR)/$(SRC_BIN)/asus-check-keyboard-system.sh.in $(B_BIN)/asus-check-keyboard-system.sh
	for ch in $(CHANNELS); do \
	  sed -i "/@CHANNEL_$$(echo $$ch | tr a-z A-Z)@/r $(CURDIR)/$(SRC_CHANNELS)/$$ch.sh" $(B_BIN)/asus-check-keyboard-system.sh; \
	  sed -i "/@CHANNEL_$$(echo $$ch | tr a-z A-Z)@/d" $(B_BIN)/asus-check-keyboard-system.sh; \
	done
	sed -i '/@CHANNEL_[A-Z_]\+@/d' $(B_BIN)/asus-check-keyboard-system.sh
	chmod 0755 $(B_BIN)/asus-check-keyboard-system.sh

# -------------------------
# User services (optional)
# -------------------------
.PHONY: user-services
user-services:
ifeq ($(INSTALL_USER_SERVICE),yes)
	@echo "Preparing user services"
	cp $(CURDIR)/$(SRC_USER_SYSTEMD)/*.service $(B_USER)/
else
	@echo "User services disabled"
endif

# -------------------------
# Install target (Klíčové pro Debian)
# -------------------------
.PHONY: install
install: all
	# Vytvoření adresářové struktury v DESTDIR
	install -d $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/lib/systemd/system
	install -d $(DESTDIR)$(PREFIX)/lib/systemd/user
	install -d $(DESTDIR)$(PREFIX)/share/asus-screen-toggle
	install -d $(DESTDIR)$(PREFIX)/lib/asus-screen-toggle/dispatcher
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -d $(DESTDIR)$(PREFIX)/share/man/cs/man1

	# 1. Instalace binárek BEZ PŘÍPON (řeší Lintian chyby a .desktop soubory)
	install -m 0755 $(B_BIN)/asus-check-keyboard-system.sh $(DESTDIR)$(PREFIX)/bin/asus-check-keyboard-system
	install -m 0755 $(USR_DIR)/bin/asus-check-keyboard-genrules.sh $(DESTDIR)$(PREFIX)/bin/asus-check-keyboard-genrules
	install -m 0755 $(USR_DIR)/bin/asus-check-keyboard-user.sh $(DESTDIR)$(PREFIX)/bin/asus-check-keyboard-user
	install -m 0755 $(USR_DIR)/bin/asus-check-rotation.sh $(DESTDIR)$(PREFIX)/bin/asus-check-rotation
	install -m 0755 $(USR_DIR)/bin/asus-screen-toggle-launcher.sh $(DESTDIR)$(PREFIX)/bin/asus-screen-toggle-launcher
	install -m 0755 $(USR_DIR)/bin/asus-screen-settings.py $(DESTDIR)$(PREFIX)/bin/asus-screen-settings
	install -m 0755 $(USR_DIR)/bin/asus-user-agent.py $(DESTDIR)$(PREFIX)/bin/asus-user-agent

	# 2. Systemd služby
	install -m 0644 $(USR_DIR)/lib/systemd/system/*.service $(DESTDIR)$(PREFIX)/lib/systemd/system/
	install -m 0644 $(B_USER)/*.service $(DESTDIR)$(PREFIX)/lib/systemd/user/

	# 3. Manuálové stránky (oprava cest pro Debian)
	install -m 0644 $(USR_DIR)/share/man/man1/*.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	# Ošetření případu, kdy by adresář cs/ neexistoval
	if [ -d $(USR_DIR)/share/man/man1/cs ]; then \
	    install -m 0644 $(USR_DIR)/share/man/man1/cs/*.1 $(DESTDIR)$(PREFIX)/share/man/cs/man1/; \
	fi

	# 4. Ostatní data a template
	install -m 0644 $(USR_DIR)/share/99-asus-keyboard.rules.template $(DESTDIR)$(PREFIX)/share/asus-screen-toggle/
	cp -r $(USR_DIR)/share/applications $(DESTDIR)$(PREFIX)/share/
	cp -r $(USR_DIR)/share/asus-screen-toggle/*.svg $(DESTDIR)$(PREFIX)/share/asus-screen-toggle/
	cp -r $(USR_DIR)/lib/asus-screen-toggle/* $(DESTDIR)$(PREFIX)/lib/asus-screen-toggle/

# -------------------------
# Sanity checks
# -------------------------
.PHONY: check
check:
	@echo "Running sanity checks..."
	@test -x $(B_BIN)/asus-check-keyboard-system.sh || (echo "ERROR: build failed"; exit 1)
	@grep -q "DRM_CHANGE" $(B_BIN)/asus-check-keyboard-system.sh || (echo "ERROR: build corrupt"; exit 1)
	@echo "Sanity checks passed."

# -------------------------
# Clean
# -------------------------
.PHONY: clean
clean:
	rm -rf $(BUILD_DIR)

# -------------------------
# Dev git hooks
# -------------------------
.PHONY: dev-setup
dev-setup:
	@echo "Aktivuji Git hooky..."
	ln -sf ../../utilities/git-hooks/pre-push .git/hooks/pre-push
	ln -sf ../../utilities/git-hooks/post-checkout .git/hooks/post-checkout
	ln -sf ../../utilities/git-hooks/post-merge .git/hooks/post-merge
	chmod +x utilities/git-hooks/*
	@echo "Hooky jsou aktivní."

=== debian/changelog ===
asus-screen-toggle (1.3-1) unstable; urgency=medium

  * Release 1.3
  * lintian warning fix
  * localization
  * add temporary modes
  * ui improvements

 -- Antonin Micka <antonin.micka@gmail.com>  Wed, 28 Jan 2026 20:40:59 +0100

=== debian/control ===
Source: asus-screen-toggle
Section: utils
Maintainer: Antonin Micka <antonin.micka@gmail.com>
Build-Depends: debhelper-compat (= 13),
               gettext,
               gettext-base,
               po-debconf,
               python3-all,
               dh-python
Standards-Version: 4.7.3
Homepage: https://github.com/antoninmicka/asus-screen-toggle
Vcs-Browser: https://github.com/antoninmicka/asus-screen-toggle
Vcs-Git: https://github.com/antoninmicka/asus-screen-toggle.git

Package: asus-screen-toggle
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-gi,
         python3-pydbus,
         gir1.2-gtk-3.0,
         gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
         inotify-tools,
         iio-sensor-proxy,
         dbus,
         usbutils,
         udev,
         systemd,
         ucf,
         console-setup
Recommends: x11-xserver-utils,
            libkscreen-bin | kscreen-doctor,
            wlr-randr,
            gnome-shell-extension-appindicator
Description: Utility for managing Asus Zenbook Duo dual-screen modes
 This utility allows users to toggle the secondary screen on Asus Zenbook Duo
 laptops, primarily to save battery when the external keyboard is detached.
 .
 Features:
  * Auto-detection of keyboard/charger connection
  * GUI Settings application
  * Tray icon / AppIndicator
  * Systemd integration for sleep/resume

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	# Přidáno --with python3 pro automatické závislosti
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build -- CHANNELS="systemd"

override_dh_auto_install:
	# Instalace proběhne přes náš opravený Makefile
	dh_auto_install

override_dh_python3:
	# Toto vynutí kontrolu skriptů v /usr/bin
	dh_python3 /usr/bin

=== debian/watch ===
version=4
opts="repacksuffix=+ds, \
dirmangle=s/\.orig\//-orig\//, \
filenamemangle=s/v?(\d[\d\.]*)\.tar\.gz/asus-screen-toggle-$1.tar\.gz/" \
https://github.com/AntoninMicka/asus-screen-toggle/tags \
(?:.*/)?v?(\d[\d\.]*)\.tar\.gz
